Package org.apache.sysds.runtime.compress.colgroup.dictionary

## Interface DictionaryFactory

-     public interface DictionaryFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `DictionaryFactory.Type` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `LOG` |

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ADictionary` | `create​(ABitmap ubm)` |
    `static ADictionary` | `create​(ABitmap ubm, double sparsity)` |
    `static ADictionary` | `create​(ABitmap ubm, double sparsity, boolean withZeroTuple)` |
    `static ADictionary` | `create​(ABitmap ubm, int defaultIndex, double[] defaultTuple, double sparsity, boolean addZero)` |
    `static ADictionary` | `create​(DblArrayCountHashMap map, int nCols, boolean addZeroTuple, double sparsity)` |
    `static ADictionary` | `create​(DoubleCountHashMap map)` |
    `static ADictionary` | `createWithAppendedZeroTuple​(ABitmap ubm, double sparsity)` |
    `static long` | `getInMemorySize​(int nrValues, int nrColumns, double tupleSparsity, boolean lossy)` |
    `static ADictionary` | `read​(DataInput in)` |

- - ### Field Detail

    - #### LOG

          static final org.apache.commons.logging.Log LOG

  - ### Method Detail

    - #### read

          static ADictionary read​(DataInput in)
                           throws IOException

      Throws:
        `IOException`

    - #### getInMemorySize

          static long getInMemorySize​(int nrValues,
                                      int nrColumns,
                                      double tupleSparsity,
                                      boolean lossy)

    - #### create

          static ADictionary create​(DblArrayCountHashMap map,
                                    int nCols,
                                    boolean addZeroTuple,
                                    double sparsity)

    - #### create

          static ADictionary create​(ABitmap ubm)

    - #### create

          static ADictionary create​(ABitmap ubm,
                                    double sparsity,
                                    boolean withZeroTuple)

    - #### create

          static ADictionary create​(ABitmap ubm,
                                    double sparsity)

    - #### create

          static ADictionary create​(ABitmap ubm,
                                    int defaultIndex,
                                    double[] defaultTuple,
                                    double sparsity,
                                    boolean addZero)

    - #### createWithAppendedZeroTuple

          static ADictionary createWithAppendedZeroTuple​(ABitmap ubm,
                                                         double sparsity)

    - #### create

          static ADictionary create​(DoubleCountHashMap map)